Re: [PATCH 2/5] Fix setup of $GIT_DIR in git-sh-setup.sh
From: Lars Hjemli <hidden>
Date: 2016-06-15 22:44:14
On Feb 18, 2008 6:44 AM, Junio C Hamano [off-list ref] wrote:
Lars Hjemli [off-list ref] writes:quoted
Since .git can be a file refering to the real GIT_DIR, git-sh-setup needs to use 'git rev-parse --git-dir' to obtain the location of the git repository.I wonder if this depend on your [1/5]. Isn't this actually a simplification (removing 7 adding 5 lines) that applies to the mainline already?
True. I'll resend as [1/5] with a fixed up commit message.
quoted
@@ -127,20 +127,18 @@ get_author_ident_from_commit () { # if we require to be in a git repository. if test -z "$NONGIT_OK" then + GIT_DIR=$(git rev-parse --git-dir) || { + exit=$? + echo >&2 "Failed to find a valid git directory." + exit $exitrev-parse --git-dir would have said "fatal: Not a git repository" already. Do we still need to say "Failed to find..."?
Absolutely not. Thanks. -- larsh